export ffmpegPath=$workDir/ffmpeg

git clone https://github.com/FFmpeg/FFmpeg $ffmpegPath --depth 1

cd $ffmpegPath

make distclean

./configure --disable-gpl --disable-nonfree --disable-doc --disable-network \
  --disable-ffprobe --disable-ffplay --enable-static --disable-shared \
  --enable-libopenh264 \
  --prefix=$PREFIX --enable-cross-compile --arch=$ARCH --cc="clang -arch $ARCH" \
  --pkg-config-flags="--static"

make -j

cp ffmpeg $outDir
