set -x

export OPENH264_VERSION=2.3.1

# TODO: detect platform
# export CISCO_BINARY_PLATFORM=mac
# export CISCO_BINARY_ARCH=x64
# export CISCO_BINARY_SUFFIX=dylib.bz2
# export CISCO_BINARY_NAME=libopenh264

# export OPENH264_CISCO_BINARY_URL=http://ciscobinary.openh264.org/$CISCO_BINARY_NAME-$OPENH264_VERSION-$CISCO_BINARY_PLATFORM-${CISCO_BINARY_ARCH}.${CISCO_BINARY_SUFFIX}

export projectDir=$workDir/openh264

git clone https://github.com/cisco/openh264 $projectDir --depth 1

cd $projectDir

git checkout tags/v$OPENH264_VERSION -b v$OPENH264_VERSION

args="PREFIX=$PREFIX ARCH=$ARCH"

make clean

make -j $args

make install-static $args

# rm -rf $PREFIX/lib/libopenh264*

# wget -O $PREFIX/lib/libopenh264.dylib $OPENH264_CISCO_BINARY_URL
